package com.tuoheng.admin.request.inspection;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 巡检任务 新增或修改请求参数
 * @author: qiujinyang
 * @date: 2021/9/7
 */
@Data
public class MissionStatusRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检任务ID
     */
    @NotNull(message = "巡检任务ID不能为空！")
    private Integer id;

    /**
     * 视频推流地址
     */
    private String pushUrl;

    /**
     * 视频拉流地址
     */
    private String pullUrl;

    /**
     * 任务状态1待执行 2执行中
     */
    private Integer status;

    /**
     * 任务里程
     */
    private String mileage;

    /**
     * 请求ID
     */
    private String requestId;

}
